Route for book availability

This checks if a book is available in a library.

Example:

`POST https://example.com/bookAvailability`

    {
      "isbn": "978-3-16-148410-0"
    }

### Hierarchy

- SCAbstractRoute
  - SCBookAvailabilityRoute

### Implements

- SCRoute

## Index

### Constructors

- constructor

### Properties

- errorNames
- method
- obligatoryParameters
- requestBodyName
- responseBodyName
- statusCodeSuccess
- urlFragment

### Methods

- getUrlFragment

## Constructors

### constructor

- new SCBookAvailabilityRoute(): SCBookAvailabilityRoute

- - Defined in node_modules/@openstapps/core/lib/index.d.ts:1007

  #### Returns SCBookAvailabilityRoute

## Properties

### errorNames

errorNames: SCErrorResponseConstructor[]

Implementation of SCRoute.errorNames

Inherited from SCAbstractRoute.errorNames

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1499

### method

method: SCRouteHttpVerbs

Implementation of SCRoute.method

Inherited from SCAbstractRoute.method

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1500

### Optional obligatoryParameters

obligatoryParameters: SCMap<string>

Implementation of SCRoute.obligatoryParameters

Inherited from SCAbstractRoute.obligatoryParameters

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1501

### requestBodyName

requestBodyName: string

Implementation of SCRoute.requestBodyName

Inherited from SCAbstractRoute.requestBodyName

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1502

### responseBodyName

responseBodyName: string

Implementation of SCRoute.responseBodyName

Inherited from SCAbstractRoute.responseBodyName

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1503

### statusCodeSuccess

statusCodeSuccess: number

Implementation of SCRoute.statusCodeSuccess

Inherited from SCAbstractRoute.statusCodeSuccess

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1504

### urlFragment

urlFragment: string

Implementation of SCRoute.urlFragment

Inherited from SCAbstractRoute.urlFragment

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1505

## Methods

### getUrlFragment

- getUrlFragment(parameters?: SCMap<string>): string

- Inherited from SCAbstractRoute.getUrlFragment

  - Defined in node_modules/@openstapps/core/lib/index.d.ts:1506

  #### Parameters

  - ##### Optional parameters: SCMap<string>

  #### Returns string

Generated using TypeDoc